Bug 808428 - [abrt] gedit-3.2.6-1.fc16: *INT_cairo_pattern_reference: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.6-1.fc16: *INT_cairo_pattern_reference: Process /usr/bin/ged...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:ab857655e6e5937e7de894e8026...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 07:14 EDT by Petr Muller
Modified: 2013-02-14 09:17 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:04:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (10.19 KB, text/plain)
2012-03-30 07:15 EDT, Petr Muller
no flags Details
File: maps (42.42 KB, text/plain)
2012-03-30 07:15 EDT, Petr Muller
no flags Details
File: backtrace (30.35 KB, text/plain)
2012-03-30 07:15 EDT, Petr Muller
no flags Details
File: backtrace (30.68 KB, text/plain)
2012-04-05 08:32 EDT, Sébastien DAVOULT
no flags Details
File: backtrace (33.85 KB, text/plain)
2012-04-12 07:17 EDT, Ferry Huberts
no flags Details
File: backtrace (30.58 KB, text/plain)
2012-04-13 07:50 EDT, Andrey Arapov
no flags Details
File: backtrace (30.24 KB, text/plain)
2012-04-16 10:16 EDT, Ludovic
no flags Details
File: backtrace (36.33 KB, text/plain)
2012-04-24 13:27 EDT, jollyloggers
no flags Details
File: backtrace (31.00 KB, text/plain)
2012-05-02 10:23 EDT, Tim Hughes
no flags Details
File: backtrace (30.88 KB, text/plain)
2012-05-06 22:51 EDT, juanp766
no flags Details
File: backtrace (30.17 KB, text/plain)
2012-05-08 15:10 EDT, Owen Johnson
no flags Details
File: backtrace (32.54 KB, text/plain)
2012-05-10 01:38 EDT, Owen Johnson
no flags Details

  None (edit)
Description Petr Muller 2012-03-30 07:14:56 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gedit
comment:        I selected some text using the mouse, gedit crashed immediately.
crash_function: *INT_cairo_pattern_reference
executable:     /usr/bin/gedit
kernel:         3.3.0-4.fc16.x86_64
pid:            3766
pwd:            /home/afri
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
time:           Fri 30 Mar 2012 01:01:21 PM CEST
uid:            1000
username:       afri

backtrace:      Text file, 31077 bytes
dso_list:       Text file, 10432 bytes
maps:           Text file, 43437 bytes

build_ids:
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:2c2ffe21d64ba02aefe6acb804a4ea68318609fd
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:2976a5f82b01d5dedaaefdd41fa7a78b090c75a1
:aa733447f84020c94a66814e501a36e248cbb43d
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:719a85c49c612de86619fed98146f316432aee92
:50e0538b22a0baf6f774534e80192f74c75ab1f5
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:4bc56fe20c2ec4ce2466d7fa505d48f8fea5decb
:e46beef0b430d916987f1f58d1aefc7e1a016e10
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:124bfd663f5587288e6e0da8497fb4153469e657
:c1d5f5ac1a648ca056beb15773ff5c2206c35fc4
:5954d7bfe38b223be907cd2041fd537129ba4254
:e2e67b3ae2579e1667b73ad385f61552931024e9
:f0d50e3af2dfee021a327fb85a993a2312a98145
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:5393d882ce329cabe4ddf6bedaef1cc906664889
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:1332ce2a80617b06728747396fd63342b6f87df8
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:25b834f4c4dc534708635ff1064e2fe02a366a62
:f9fea7527e0deebd694acc251008975312a3f74a
:163b323da65b708418226eb5fa8b057c731d1475
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:48aea888319e1848137073c9cbde54a4c2a731c9
:d2ddca668b36423bb3a66540e10f99d60511978e
:b7de6967148b62ea20013920d31f0002df1426ca
:42775d7b03f3bb80f4c39e5c25851ba95a8c8f7f
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:aa8e279c789ee4664342250eed2c6ea64f9cb3ab
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:6ea1834d77aecd46b5a612e58ab05db1367770b9
:e17eba0db37de02eb984c3dba5db3ba21ae809c8
:4c842320387ff7f6f91b7842b223c16518be909f
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:edebfad67bdac472272d049dc7ec302f47b02f32
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:40a6a86871e94198ac5c10fa80f1dacef289a7f7
:a638ccc3535e307dfbe8338df04ee414b42a606c
:be507c791e34415e8f42f0e6030c889b2895cf9a
:07470201df55a5254027d05fa4dc509b10f2986a
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:040f78c63e49df93936f710287bdc74ae83111c0
:75eaece6e0d1e075520cdfad5c398fdab4370846
:ae2d5038d6970864ef6fe0c48be689fedbc9ee2e
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:87af0ff2815bf41b5c5889b916881c662ddd2569
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:9ea81971c14b711655ced0a734db062ab7c4eec7
:086a89da9eda42d4accd919bf03231812aba9c25
:34e8b3cee73a6d0b8ac17c69ba4b1170724db64c
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:1406558950ff100eb0320a325b3ea7961ba1a775
:400444fb368f79b54959b083f449a1497bf71c13
:2670385f49fb9f120f7cf843f211e3c620da8632
:545fac2346ca24589041213956b7f22f7e91c139
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:3f8e1ac221c628769e28ed4a1cfddc5d90e4aaf8
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:8b69ad2ef8adde1ffce0fd95b96972a9d7d36956
:b3c60343c4ef09307cd644d5da914f6c14107c0b
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:39294193f046cf15442542705526228c60d70a6e

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=ziltoid
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=489e42c7c8c30b2888106ee100000016-1333097780.385761-1546964840
:IMSETTINGS_MODULE=none
:USER=afri
:USERNAME=afri
:MAIL=/var/spool/mail/afri
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/afri/.local/bin:/home/afri/Applications/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/afri
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/afri
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=afri
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-g7tZWXVYFF,guid=b2f78540a63d0ba91c8ebc3900000039
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/afri
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-afri-Rps6Aw/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1425,unix/unix:/tmp/.ICE-unix/1425
:GNOME_KEYRING_CONTROL=/tmp/keyring-csZjiZ
:SSH_AUTH_SOCK=/tmp/keyring-csZjiZ/ssh
:GPG_AGENT_INFO=/tmp/keyring-csZjiZ/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1645-ziltoid-gedit-6_TIME2802244
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3766

var_log_messages:
:Mar 30 13:01:20 ziltoid kernel: [ 7557.328284] gedit[3766]: segfault at 5 ip 00000031a8c38239 sp 00007fff45c03d80 error 4 in libcairo.so.2.11000.2[31a8c00000+a6000]
:Mar 30 13:01:21 ziltoid abrt[6650]: Saved core dump of pid 3766 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-03-30-13:01:20-3766 (52084736 bytes)
Comment 1 Petr Muller 2012-03-30 07:15:01 EDT
Created attachment 573959 [details]
File: dso_list
Comment 2 Petr Muller 2012-03-30 07:15:05 EDT
Created attachment 573960 [details]
File: maps
Comment 3 Petr Muller 2012-03-30 07:15:07 EDT
Created attachment 573961 [details]
File: backtrace
Comment 4 Sébastien DAVOULT 2012-04-05 08:32:36 EDT
Lors du détachement de l'onglet pour en faire une nouvelle page

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Sébastien DAVOULT 2012-04-05 08:32:46 EDT
Created attachment 575389 [details]
File: backtrace
Comment 6 Ferry Huberts 2012-04-12 07:17:48 EDT
drap a tab from 1 gedit window to another gedit window

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 Ferry Huberts 2012-04-12 07:17:55 EDT
Created attachment 577039 [details]
File: backtrace
Comment 8 Andrey Arapov 2012-04-13 07:50:55 EDT
I had around 5 .txt files opened, since the morning.. and in the afternoon I continued my work -> copy-pasted some section of a text ~5 lines, and gedit crashed :-(  this is not the very first time.. sometimes the same problem was happening before.. even in older Fedora releases... I think it's some very old bug... Because of this I got used to Ctrl+S every minute.. :)

Thanks to investigate and correct the problem. Gedit is a really great tool, but must be a bit more stable!


backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 9 Andrey Arapov 2012-04-13 07:50:59 EDT
Created attachment 577309 [details]
File: backtrace
Comment 10 Ludovic 2012-04-16 10:16:44 EDT
Crash occurs when I try to drag-and-drop a tab from one gedit window to another

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 11 Ludovic 2012-04-16 10:16:49 EDT
Created attachment 577724 [details]
File: backtrace
Comment 12 jollyloggers 2012-04-24 13:27:34 EDT
trying to cut 2 lines

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 13 jollyloggers 2012-04-24 13:27:39 EDT
Created attachment 579935 [details]
File: backtrace
Comment 14 Tim Hughes 2012-05-02 10:23:39 EDT
I was using alt-tab to switch away from gedit

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 15 Tim Hughes 2012-05-02 10:23:44 EDT
Created attachment 581633 [details]
File: backtrace
Comment 16 juanp766 2012-05-06 22:51:09 EDT
when draggin text

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 17 juanp766 2012-05-06 22:51:16 EDT
Created attachment 582522 [details]
File: backtrace
Comment 18 Owen Johnson 2012-05-08 15:10:22 EDT
I was trying to drag a tab out of gedit to join another gedit window. As soon as the cursor left the first gedit window, gedit crashed.

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 19 Owen Johnson 2012-05-08 15:10:27 EDT
Created attachment 583060 [details]
File: backtrace
Comment 20 Owen Johnson 2012-05-10 01:38:50 EDT
I was highlighting text, and then gedit crashed.

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 21 Owen Johnson 2012-05-10 01:38:57 EDT
Created attachment 583436 [details]
File: backtrace
Comment 22 efreeti 2012-05-24 02:35:13 EDT
drag crashed

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 23 cje 2012-05-25 07:27:52 EDT
had a few remote (ssh connected folder) files opened in tabs in gedit.  suspend and resume (loses the ssh connection).  edited one of those files but didn't save.

opened an ssh connected folder on another server in nautilus.  opened one file from that system in gedit by clicking on it in nautilus - that worked okay but appeared in a new window rather than a new tab, not sure if that's normal.

opened another file from that system - can't remember if i clicked it or dragged it ... i think i dragged it from nautilus to gedit.

crash happens.

gah!  just happened again whilst trying to view the backtrace in abrt!!!  (possibly not the exact same crash)


backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 24 Peque 2012-07-23 08:30:28 EDT
I tried to drag and drop 3 text files to Gedit window. Can't reproduce the crash.

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 25 Peque 2012-07-25 09:23:10 EDT
Just tried to drag and drop a tab from one Gedit window to another.

backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 26 Fedora End Of Life 2013-01-16 12:25:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Fedora End Of Life 2013-02-13 17:04:44 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.